#!HEAD: dcsm-EF_MSA_HV_ON_1_MFB_Safe 2021-10-20 03:03:05 853        45 MMO                  DCSM                // EARTH FLY BY                         
8001    ########################################################
8002    #  SAFETY ON HV check (fast) 1
8003    ########################################################
8004    #
8005    # HV_sw_enable(both)
8006    MSA.HV_ENA 0x0F000000
8007    # command : 07000F000000
8008    #
8009    WAIT_SEC 2                   
8010    #
8011    # QL         Check-Item               Spec                     check
8012    # ----------+------------------------+-------------------------+------
8013    #             <CPU> ENA_BOARD         ENA                        N/A
8014    #             <CPU> SAFE_ENA          ENA                        N/A
8015    #
8016    # HV_Board_PwrON
8017    MSA.HV_ON 0x0A000000
8018    # command : 05000A000000
8019    #
8020    WAIT_SEC 2                   
8021    #
8022    # QL         Check-Item               Spec                     check
8023    # ----------+------------------------+-------------------------+------
8024    # MSA ALL HK  <HV> ON_BOARD          ON                          N/A
8025    #             <HV> ERR               OK                          N/A                 
8026    #
8027    # HV_Optics_PwrON
8028    MSA.HV_ON 0x05000000
8029    # command : 050005000000
8030    #
8031    WAIT_SEC 2                   
8032    #
8033    # QL         Check-Item               Spec                     check
8034    # ----------+------------------------+-------------------------+------
8035    # MSA ALL HK  <HV> ON_OPTICS         ON                          N/A
8036    #             <HV> ERR               OK                          N/A
8037    #
8038    #
8039    ################################################################
8040    #         SAFETY OFF
8041    #######################################################################
8042    #
8043    # SAFE_ENA
8044    MSA.HV_SAFE_ENA 0x00000000
8045    # command : 010000000000    : 
8046    #
8047    WAIT_SEC 2                   
8048    #
8049    # QL         Check-Item               Spec                     check
8050    # ----------+------------------------+-------------------------+------
8051    # MSA ALL HK  <CPU> SAFE_ENA          ENA                          N/A
8052    #
8053    # SAFE_OFF
8054    MSA.HV_SAFE_OFF 0x0a000000
8055    # command : 04000a000000    : 
8056    #
8057    WAIT_SEC 5                   
8058    #
8059    # QL         Check-Item               Spec                     check
8060    # ----------+------------------------+-------------------------+------
8061    # MSA ALL HK  <HV> SAFE               OFF                          N/A
8062    #
8063    # SAFE_DIS
8064    MSA.HV_SAFE_DIS 0x00000000
8065    # command : 020000000000    : 
8066    #
8067    WAIT_SEC 2                   
8068    #
8069    # QL         Check-Item               Spec                     check
8070    # ----------+------------------------+-------------------------+------
8071    # MSA ALL HK  <CPU> SAFE_ENA          DIS                          N/A
8072    #
8073    #
8074    # 
8075    ###################################################################
8076    # Set HV1 (first a few LSBs, then several LSBs ; then stay at nominal HV1 value)
8077    #######################################################################
8078    # 
8079    # 
8080    #
8081    # #AMP3
8082    #
8083    MSA.HV_DAC 0x40400001
8084    # : Uout        : HKvoltage
8085    # command : 0b0040400001    : 
8086    #
8087    WAIT_SEC 2                   
8088    #
8089    # QL         Check-Item               Spec                     check
8090    # ----------+------------------------+-------------------------+------
8091    # MSA ALL HK  ADC_HV_AMP3   ( ---)                       N/A
8092    #
8093    MSA.HV_DAC 0x40400020
8094    # : Uout        : HKvoltage
8095    # command : 0b0040400020    : 
8096    #
8097    WAIT_SEC 5                   
8098    #
8099    # QL         Check-Item               Spec                     check
8100    # ----------+------------------------+-------------------------+------
8101    # MSA ALL HK  ADC_HV_AMP3   ( ---)                       N/A
8102    #
8103    MSA.HV_DAC 0x40400038
8104    # : Uout        : HKvoltage
8105    # command : 0b0040400038    : 50V
8106    #
8107    WAIT_SEC 5                   
8108    #
8109    # QL         Check-Item               Spec                     check
8110    # ----------+------------------------+-------------------------+------
8111    # MSA ALL HK  ADC_HV_AMP3   ( 0x36F)                       N/A
8112    #
8113    WAIT_SEC 10                   
8114    #
8115    #
8116    # #HV1
8117    #
8118    MSA.HV_DAC 0x60600001
8119    # : Uout        : HKvoltage
8120    # command : 0b0060600001    : 
8121    #
8122    WAIT_SEC 10                   
8123    #
8124    # QL         Check-Item               Spec                     check
8125    # ----------+------------------------+-------------------------+------
8126    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8127    #
8128    #
8129    MSA.HV_DAC 0x60600010
8130    # : Uout        : HKvoltage
8131    # command : 0b0060600010    : 
8132    #
8133    WAIT_SEC 10                   
8134    #
8135    # QL         Check-Item               Spec                     check
8136    # ----------+------------------------+-------------------------+------
8137    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8138    #
8139    MSA.HV_DAC 0x60600020
8140    # : Uout        : HKvoltage
8141    # command : 0b0060600020    : 
8142    #
8143    WAIT_SEC 20                   
8144    #
8145    # QL         Check-Item               Spec                     check
8146    # ----------+------------------------+-------------------------+------
8147    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8148    #
8149    #
8150    MSA.HV_DAC 0x60600040
8151    # : Uout        : HKvoltage
8152    # command : 0b0060600040    : 
8153    #
8154    WAIT_SEC 20                   
8155    #
8156    # QL         Check-Item               Spec                     check
8157    # ----------+------------------------+-------------------------+------
8158    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8159    #
8160    #
8161    MSA.HV_DAC 0x60600060
8162    # : Uout        : HKvoltage
8163    # command : 0b0060600060    : 
8164    #
8165    WAIT_SEC 20                   
8166    #
8167    # QL         Check-Item               Spec                     check
8168    # ----------+------------------------+-------------------------+------
8169    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8170    #
8171    #
8172    MSA.HV_DAC 0x60600080
8173    # : Uout        : HKvoltage
8174    # command : 0b0060600080    : 1200V
8175    #
8176    WAIT_SEC 30                   
8177    #
8178    # QL         Check-Item               Spec                     check
8179    # ----------+------------------------+-------------------------+------
8180    # MSA ALL HK  ADC_HV_HV1    ( 0x78A)                       N/A
8181    #
8182    #
8183    MSA.HV_DAC 0x60600088
8184    # : Uout        : HKvoltage
8185    # command : 0b0060600088    : 
8186    #
8187    WAIT_SEC 30                   
8188    #
8189    # QL         Check-Item               Spec                     check
8190    # ----------+------------------------+-------------------------+------
8191    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8192    #
8193    MSA.HV_DAC 0x6060008c
8194    # : Uout        : HKvoltage
8195    # command : 0b006060008c    : 
8196    #
8197    WAIT_SEC 30                   
8198    #
8199    # QL         Check-Item               Spec                     check
8200    # ----------+------------------------+-------------------------+------
8201    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8202    #
8203    MSA.HV_DAC 0x60600090
8204    # : Uout        : HKvoltage
8205    # command : 0b0060600090    : 
8206    #
8207    WAIT_SEC 30                   
8208    #
8209    # QL         Check-Item               Spec                     check
8210    # ----------+------------------------+-------------------------+------
8211    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8212    #
8213    #
8214    MSA.HV_DAC 0x60600094
8215    # : Uout        : HKvoltage
8216    # command : 0b0060600094    : 
8217    #
8218    WAIT_SEC 30                   
8219    #
8220    # QL         Check-Item               Spec                     check
8221    # ----------+------------------------+-------------------------+------
8222    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8223    #
8224    #
8225    MSA.HV_DAC 0x60600098
8226    # : Uout        : HKvoltage
8227    # command : 0b0060600098    : 
8228    #
8229    WAIT_SEC 30                   
8230    #
8231    # QL         Check-Item               Spec                     check
8232    # ----------+------------------------+-------------------------+------
8233    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8234    #
8235    #
8236    MSA.HV_DAC 0x6060009c
8237    # : Uout        : HKvoltage
8238    # command : 0b006060009c    : 
8239    #
8240    WAIT_SEC 30                   
8241    #
8242    # QL         Check-Item               Spec                     check
8243    # ----------+------------------------+-------------------------+------
8244    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8245    #
8246    #
8247    MSA.HV_DAC 0x606000a0
8248    # : Uout        : HKvoltage
8249    # command : 0b00606000a0    : 1550V
8250    #
8251    WAIT_SEC 30                   
8252    #
8253    # QL         Check-Item               Spec                     check
8254    # ----------+------------------------+-------------------------+------
8255    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8256    #
8257    #
8258    # ==========================================================================
8259    #######################################################################
8260    # Set HV2 (first a few LSBs, then several LSBs ; then stay at nominal HV2 value)
8261    #######################################################################
8262    # 
8263    # #HV2
8264    #
8265    MSA.HV_DAC 0xA0A00001
8266    # : Uout        : HKvoltage
8267    # command : 0b00a0a00001    : 
8268    #
8269    WAIT_SEC 10                   
8270    #
8271    # QL         Check-Item               Spec                     check
8272    # ----------+------------------------+-------------------------+------
8273    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8274    #
8275    MSA.HV_DAC 0xA0A00010
8276    # : Uout        : HKvoltage
8277    # command : 0b00a0a00010    : 
8278    #
8279    WAIT_SEC 10                   
8280    #
8281    # QL         Check-Item               Spec                     check
8282    # ----------+------------------------+-------------------------+------
8283    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8284    #
8285    #
8286    MSA.HV_DAC 0xA0A00020
8287    # : Uout        : HKvoltage
8288    # command : 0b00a0a00020    : 
8289    #
8290    WAIT_SEC 30                   
8291    #
8292    # QL         Check-Item               Spec                     check
8293    # ----------+------------------------+-------------------------+------
8294    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8295    #
8296    #
8297    MSA.HV_DAC 0xA0A00040
8298    # : Uout        : HKvoltage
8299    # command : 0b00a0a00040    : 
8300    #
8301    WAIT_SEC 30                   
8302    #
8303    # QL         Check-Item               Spec                     check
8304    # ----------+------------------------+-------------------------+------
8305    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8306    #
8307    MSA.HV_DAC 0xA0A00060
8308    # : Uout        : HKvoltage
8309    # command : 0b00a0a00060    : 
8310    #
8311    WAIT_SEC 30                   
8312    #
8313    # QL         Check-Item               Spec                     check
8314    # ----------+------------------------+-------------------------+------
8315    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8316    #
8317    MSA.HV_DAC 0xA0A00080
8318    # : Uout        : HKvoltage
8319    # command : 0b00a0a00080    : 
8320    #
8321    WAIT_SEC 30                   
8322    #
8323    # QL         Check-Item               Spec                     check
8324    # ----------+------------------------+-------------------------+------
8325    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8326    #
8327    #
8328    MSA.HV_DAC 0xA0A00084
8329    # : Uout        : HKvoltage
8330    # command : 0b00a0a00084    : 
8331    #
8332    WAIT_SEC 30                   
8333    #
8334    # QL         Check-Item               Spec                     check
8335    # ----------+------------------------+-------------------------+------
8336    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8337    #
8338    MSA.HV_DAC 0xA0A00088
8339    # : Uout        : HKvoltage
8340    # command : 0b00a0a00088    : 
8341    #
8342    WAIT_SEC 30                   
8343    #
8344    # QL         Check-Item               Spec                     check
8345    # ----------+------------------------+-------------------------+------
8346    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8347    #
8348    MSA.HV_DAC 0xA0A0008c
8349    # : Uout        : HKvoltage
8350    # command : 0b00a0a0008c    : 
8351    #
8352    WAIT_SEC 30                   
8353    #
8354    # QL         Check-Item               Spec                     check
8355    # ----------+------------------------+-------------------------+------
8356    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8357    #
8358    MSA.HV_DAC 0xA0A00090
8359    # : Uout        : HKvoltage
8360    # command : 0b00a0a00090    : 
8361    #
8362    WAIT_SEC 30                   
8363    #
8364    # QL         Check-Item               Spec                     check
8365    # ----------+------------------------+-------------------------+------
8366    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8367    #
8368    MSA.HV_DAC 0xA0A00094
8369    # : Uout        : HKvoltage
8370    # command : 0b00a0a00094    : 
8371    #
8372    WAIT_SEC 30                   
8373    #
8374    # QL         Check-Item               Spec                     check
8375    # ----------+------------------------+-------------------------+------
8376    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8377    #
8378    MSA.HV_DAC 0xA0A00098
8379    # : Uout        : HKvoltage
8380    # command : 0b00a0a00098    : 
8381    #
8382    WAIT_SEC 30                   
8383    #
8384    # QL         Check-Item               Spec                     check
8385    # ----------+------------------------+-------------------------+------
8386    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8387    #
8388    MSA.HV_DAC 0xA0A0009c
8389    # : Uout        : HKvoltage
8390    # command : 0b00a0a0009c    : 
8391    #
8392    WAIT_SEC 30                   
8393    #
8394    # QL         Check-Item               Spec                     check
8395    # ----------+------------------------+-------------------------+------
8396    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8397    #
8398    #
8399    #######################################################################
8400    # Set VHV1 and VHV2 (both VHVs are raised simultaneously up to 3 kV, 
8401    # first a few LSBs, then several LSBs, then stay at 3 kV and check mission 
8402    #######################################################################
8403    #
8404    #
8405    # #VHV4
8406    #
8407    MSA.HV_DAC 0x80800001
8408    # : Uout        : HKvoltage
8409    # command : 0b0080800001    : 
8410    #
8411    WAIT_SEC 10                   
8412    #
8413    # QL         Check-Item               Spec                     check
8414    # ----------+------------------------+-------------------------+------
8415    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8416    #
8417    # #VHV1 & VHV2
8418    #
8419    MSA.HV_DAC 0xC0C00001
8420    WAIT_SEC 2                   
8421    MSA.HV_DAC 0xE0E00001
8422    # : Uout        : HKvoltage
8423    # command : 0b00c0c00001    : 
8424    # command : 0b00e0e00001    :
8425    #
8426    WAIT_SEC 5                   
8427    #
8428    # QL         Check-Item               Spec                     check
8429    # ----------+------------------------+-------------------------+------
8430    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8431    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8432    #
8433    MSA.HV_DAC 0xC0C00008
8434    WAIT_SEC 2                   
8435    MSA.HV_DAC 0xE0E00008
8436    # : Uout        : HKvoltage
8437    # command : 0b00c0c00008    : 
8438    # command : 0b00e0e00008    :
8439    #
8440    WAIT_SEC 5                   
8441    #
8442    # QL         Check-Item               Spec                     check
8443    # ----------+------------------------+-------------------------+------
8444    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8445    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8446    #
8447    MSA.HV_DAC 0xC0C00010
8448    WAIT_SEC 2                   
8449    MSA.HV_DAC 0xE0E00010
8450    # : Uout        : HKvoltage
8451    # command : 0b00c0c00010    : 
8452    # command : 0b00e0e00010    :
8453    #
8454    WAIT_SEC 5                   
8455    #
8456    # QL         Check-Item               Spec                     check
8457    # ----------+------------------------+-------------------------+------
8458    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8459    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8460    #
8461    #
8462    MSA.HV_DAC 0xC0C00014
8463    WAIT_SEC 2                   
8464    MSA.HV_DAC 0xE0E00014
8465    # : Uout        : HKvoltage
8466    # command : 0b00c0c00014    : 
8467    # command : 0b00e0e00014    :
8468    #
8469    WAIT_SEC 5                   
8470    #
8471    # QL         Check-Item               Spec                     check
8472    # ----------+------------------------+-------------------------+------
8473    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8474    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8475    #
8476    MSA.HV_DAC 0xC0C00018
8477    WAIT_SEC 2                   
8478    MSA.HV_DAC 0xE0E00018
8479    # : Uout        : HKvoltage
8480    # command : 0b00c0c00018    : 
8481    # command : 0b00e0e00018    :
8482    #
8483    WAIT_SEC 5                   
8484    #
8485    # QL         Check-Item               Spec                     check
8486    # ----------+------------------------+-------------------------+------
8487    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8488    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8489    #
8490    MSA.HV_DAC 0xC0C0001c
8491    WAIT_SEC 2                   
8492    MSA.HV_DAC 0xE0E0001c
8493    # : Uout        : HKvoltage
8494    # command : 0b00c0c0001c    : 
8495    # command : 0b00e0e0001c    :
8496    #
8497    WAIT_SEC 5                   
8498    #
8499    # QL         Check-Item               Spec                     check
8500    # ----------+------------------------+-------------------------+------
8501    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8502    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8503    #
8504    MSA.HV_DAC 0xC0C00020
8505    WAIT_SEC 2                   
8506    MSA.HV_DAC 0xE0E00020
8507    # : Uout        : HKvoltage
8508    # command : 0b00c0c00020    : 
8509    # command : 0b00e0e00020    :
8510    #
8511    WAIT_SEC 10                   
8512    #
8513    # QL         Check-Item               Spec                     check
8514    # ----------+------------------------+-------------------------+------
8515    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8516    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8517    #
8518    #
8519    MSA.HV_DAC 0xC0C00024
8520    WAIT_SEC 2                   
8521    MSA.HV_DAC 0xE0E00024
8522    # : Uout        : HKvoltage
8523    # command : 0b00c0c00024    : 
8524    # command : 0b00e0e00024    :
8525    #
8526    WAIT_SEC 10                   
8527    #
8528    # QL         Check-Item               Spec                     check
8529    # ----------+------------------------+-------------------------+------
8530    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8531    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8532    #
8533    MSA.HV_DAC 0xC0C00028
8534    WAIT_SEC 2                   
8535    MSA.HV_DAC 0xE0E00028
8536    # : Uout        : HKvoltage
8537    # command : 0b00c0c00028    : 
8538    # command : 0b00e0e00028    :
8539    #
8540    WAIT_SEC 10                   
8541    #
8542    # QL         Check-Item               Spec                     check
8543    # ----------+------------------------+-------------------------+------
8544    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8545    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8546    #
8547    MSA.HV_DAC 0xC0C0002c
8548    WAIT_SEC 2                   
8549    MSA.HV_DAC 0xE0E0002c
8550    # : Uout        : HKvoltage
8551    # command : 0b00c0c0002c    : 
8552    # command : 0b00e0e0002c    :
8553    #
8554    WAIT_SEC 10                   
8555    #
8556    # QL         Check-Item               Spec                     check
8557    # ----------+------------------------+-------------------------+------
8558    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8559    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8560    #
8561    MSA.HV_DAC 0xC0C00030
8562    WAIT_SEC 2                   
8563    MSA.HV_DAC 0xE0E00030
8564    # : Uout        : HKvoltage
8565    # command : 0b00c0c00030    : 
8566    # command : 0b00e0e00030    :
8567    #
8568    WAIT_SEC 10                   
8569    #
8570    # QL         Check-Item               Spec                     check
8571    # ----------+------------------------+-------------------------+------
8572    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8573    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8574    #
8575    MSA.HV_DAC 0xC0C00034
8576    WAIT_SEC 2                   
8577    MSA.HV_DAC 0xE0E00034
8578    # : Uout        : HKvoltage
8579    # command : 0b00c0c00034    : 
8580    # command : 0b00e0e00034    :
8581    #
8582    WAIT_SEC 10                   
8583    #
8584    # QL         Check-Item               Spec                     check
8585    # ----------+------------------------+-------------------------+------
8586    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8587    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8588    #
8589    WAIT_SEC 10                   
8590    #
8591    # Set VHV4 (first a few LSBs, then several LSBs, then stay at nominal value)
8592    #
8593    #
8594    # #VHV4
8595    #
8596    MSA.HV_DAC 0x80800004
8597    # : Uout        : HKvoltage
8598    # command : 0b0080800004    : 
8599    #
8600    WAIT_SEC 20                   
8601    #
8602    # QL         Check-Item               Spec                     check
8603    # ----------+------------------------+-------------------------+------
8604    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8605    #
8606    MSA.HV_DAC 0x80800008
8607    # : Uout        : HKvoltage
8608    # command : 0b0080800008    : 
8609    #
8610    WAIT_SEC 30                   
8611    #
8612    # QL         Check-Item               Spec                     check
8613    # ----------+------------------------+-------------------------+------
8614    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8615    #
8616    MSA.HV_DAC 0x8080000c
8617    # : Uout        : HKvoltage
8618    # command : 0b008080000c    : 
8619    #
8620    WAIT_SEC 30                   
8621    #
8622    # QL         Check-Item               Spec                     check
8623    # ----------+------------------------+-------------------------+------
8624    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8625    #
8626    MSA.HV_DAC 0x80800010
8627    # : Uout        : HKvoltage
8628    # command : 0b0080800010    : 
8629    #
8630    WAIT_SEC 30                   
8631    #
8632    # QL         Check-Item               Spec                     check
8633    # ----------+------------------------+-------------------------+------
8634    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8635    #
8636    MSA.HV_DAC 0x80800018
8637    # : Uout        : HKvoltage
8638    # command : 0b0080800018    : 
8639    #
8640    WAIT_SEC 30                   
8641    #
8642    # QL         Check-Item               Spec                     check
8643    # ----------+------------------------+-------------------------+------
8644    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8645    #
8646    MSA.HV_DAC 0x80800020
8647    # : Uout        : HKvoltage
8648    # command : 0b0080800020    : 
8649    #
8650    WAIT_SEC 30                   
8651    #
8652    # QL         Check-Item               Spec                     check
8653    # ----------+------------------------+-------------------------+------
8654    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8655    #
8656    #
8657    MSA.HV_DAC 0x80800024
8658    # : Uout        : HKvoltage
8659    # command : 0b0080800024    : 
8660    #
8661    WAIT_SEC 30                   
8662    #
8663    # QL         Check-Item               Spec                     check
8664    # ----------+------------------------+-------------------------+------
8665    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8666    #
8667    #
8668    MSA.HV_DAC 0x80800028
8669    # : Uout        : HKvoltage
8670    # command : 0b0080800028    : 
8671    #
8672    WAIT_SEC 30                   
8673    #
8674    # QL         Check-Item               Spec                     check
8675    # ----------+------------------------+-------------------------+------
8676    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8677    #
8678    MSA.HV_DAC 0x8080002c
8679    # : Uout        : HKvoltage
8680    # command : 0b008080002c    : 
8681    #
8682    WAIT_SEC 30                   
8683    #
8684    # QL         Check-Item               Spec                     check
8685    # ----------+------------------------+-------------------------+------
8686    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8687    #
8688    MSA.HV_DAC 0x80800030
8689    # : Uout        : HKvoltage
8690    # command : 0b0080800030    : 
8691    #
8692    WAIT_SEC 30                   
8693    #
8694    # QL         Check-Item               Spec                     check
8695    # ----------+------------------------+-------------------------+------
8696    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8697    #
8698    #                   
8699    #
8700    MSA.HV_DAC 0x80800034
8701    # : Uout        : HKvoltage
8702    # command : 0b0080800034    : 
8703    #
8704    WAIT_SEC 40                   
8705    #
8706    # QL         Check-Item               Spec                     check
8707    # ----------+------------------------+-------------------------+------
8708    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8709    #
8710    MSA.HV_DAC 0x80800038
8711    # : Uout        : HKvoltage
8712    # command : 0b0080800038    : 
8713    #
8714    WAIT_SEC 40                   
8715    #
8716    # QL         Check-Item               Spec                     check
8717    # ----------+------------------------+-------------------------+------
8718    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8719    #
8720    MSA.HV_DAC 0x8080003c
8721    # : Uout        : HKvoltage
8722    # command : 0b008080003c    : 
8723    #
8724    WAIT_SEC 40                   
8725    #
8726    # QL         Check-Item               Spec                     check
8727    # ----------+------------------------+-------------------------+------
8728    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8729    #
8730    MSA.HV_DAC 0x8080003e
8731    # : Uout        : HKvoltage
8732    # command : 0b008080003e    : 
8733    #
8734    WAIT_SEC 40                   
8735    #
8736    # QL         Check-Item               Spec                     check
8737    # ----------+------------------------+-------------------------+------
8738    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8739    #
8740    MSA.HV_DAC 0x80800040
8741    # : Uout        : HKvoltage
8742    # command : 0b0080800040    : 
8743    #
8744    WAIT_SEC 40                   
8745    #
8746    # QL         Check-Item               Spec                     check
8747    # ----------+------------------------+-------------------------+------
8748    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8749    #
8750    MSA.HV_DAC 0x80800042
8751    # : Uout        : HKvoltage
8752    # command : 0b0080800042    : 
8753    #
8754    WAIT_SEC 40                   
8755    #
8756    # QL         Check-Item               Spec                     check
8757    # ----------+------------------------+-------------------------+------
8758    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8759    #
8760    MSA.HV_DAC 0x80800044
8761    # : Uout        : HKvoltage
8762    # command : 0b0080800044    : 
8763    #
8764    WAIT_SEC 40                   
8765    #
8766    # QL         Check-Item               Spec                     check
8767    # ----------+------------------------+-------------------------+------
8768    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8769    #
8770    WAIT_SEC 30    #Flight only                   
8771    #
8772    #
8773    #
8774    #######################################################################
8775    # Set VHV1 and VHV2 ((both VHVs are raised simultaneously from 3 kV up
8776    #  to 6 kV, first a few LSBs, then several LSBs, then stay at 6 kV 
8777    #######################################################################
8778    #
8779    #
8780    MSA.HV_DAC 0xC0C00038
8781    WAIT_SEC 2                   
8782    MSA.HV_DAC 0xE0E00038
8783    # : Uout        : HKvoltage
8784    #
8785    WAIT_SEC 20                   
8786    #
8787    # QL         Check-Item               Spec                     check
8788    # ----------+------------------------+-------------------------+------
8789    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8790    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8791    #
8792    MSA.HV_DAC 0xC0C0003a
8793    WAIT_SEC 2                   
8794    MSA.HV_DAC 0xE0E0003a
8795    # : Uout        : HKvoltage
8796    #
8797    WAIT_SEC 20                   
8798    #
8799    # QL         Check-Item               Spec                     check
8800    # ----------+------------------------+-------------------------+------
8801    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8802    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8803    #
8804    MSA.HV_DAC 0xC0C0003c
8805    WAIT_SEC 2                   
8806    MSA.HV_DAC 0xE0E0003c
8807    # : Uout        : HKvoltage
8808    #
8809    WAIT_SEC 20                   
8810    #
8811    # QL         Check-Item               Spec                     check
8812    # ----------+------------------------+-------------------------+------
8813    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8814    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8815    #
8816    MSA.HV_DAC 0xC0C0003e
8817    WAIT_SEC 2                   
8818    MSA.HV_DAC 0xE0E0003e
8819    # : Uout        : HKvoltage
8820    #
8821    WAIT_SEC 20                   
8822    #
8823    # QL         Check-Item               Spec                     check
8824    # ----------+------------------------+-------------------------+------
8825    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8826    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8827    #
8828    MSA.HV_DAC 0xC0C00040
8829    WAIT_SEC 2                   
8830    MSA.HV_DAC 0xE0E00040
8831    # : Uout        : HKvoltage
8832    #
8833    WAIT_SEC 20                   
8834    #
8835    # QL         Check-Item               Spec                     check
8836    # ----------+------------------------+-------------------------+------
8837    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8838    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8839    #
8840    MSA.HV_DAC 0xC0C00042
8841    WAIT_SEC 2                   
8842    MSA.HV_DAC 0xE0E00042
8843    # : Uout        : HKvoltage
8844    #
8845    WAIT_SEC 20                   
8846    #
8847    # QL         Check-Item               Spec                     check
8848    # ----------+------------------------+-------------------------+------
8849    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8850    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8851    #
8852    #
8853    EXIT                   
