#!HEAD: dcsm-MSA_OCL_CHECK 2022-02-22 02:49:21 421        45 MMO                  DCSM                // FLYBYϵ#2(ESTEC)                 
8001    # LET                  @ONERR=NEXT                   
8002    # ==========================================================================
8003    # MSA OCL COMMOND CHECK
8004    #
8005    ########################################################
8006    #                  Initial Power ON
8007    ########################################################
8008    #
8009    # **************************************************************************
8010    #  2. MSA CO
8011    # **************************************************************************
8012    # ==========================================================================
8013    #  2.1. MSAΩ夲
8014    # ==========================================================================
8015    #
8016    PCD.ON_OFF_ENA
8017    WAIT_SEC 40                   
8018    #
8019    # QL         Check-Item               Spec                     check
8020    # ----------+------------------------+-------------------------+------
8021    # PCS1       <PCD> ON/OFF             ENA                        N/A
8022    # 
8023    PCD.PSU_MSA_ON
8024    WAIT_SEC 40                   
8025    #
8026    # QL         Check-Item               Spec                     check
8027    # ----------+------------------------+-------------------------+------
8028    # PCS1       <PCD> MSA                ON                         N/A
8029    #
8030    PCD.ON_OFF_DIS
8031    WAIT_SEC 40                   
8032    #
8033    # QL         Check-Item               Spec                     check
8034    # ----------+------------------------+-------------------------+------
8035    # PCS1       <PCD> ON/OFF             DIS                        N/A
8036    # 
8037    #WAIT_SEC 120   
8038    WAIT_SEC 300    #Flight only                   
8039    # 
8040    # MSA status ʲȤʤäƤ뤳Ȥǧ롣
8041    # ʤäƤʤԤ (ʬ٤礬)
8042    #
8043    # QL         Check-Item               Spec                     check
8044    # ----------+------------------------+-------------------------+------
8045    # MSA ALL HK  CPU_SW                  44                         N/A
8046    #
8047    #             HV_REF_HV1    ( 0x040)                       N/A
8048    #             HV_REF_HV2    ( 0x049)                       N/A
8049    #             HV_REF_VHV1   ( 0x117)                       N/A
8050    #             HV_REF_VHV2   ( 0x17C)                       N/A
8051    #             HV_REF_VHV3   ( 0x115)                       N/A
8052    #             HV_REF_VHV4   ( 0x03E)                       N/A
8053    #             HV_REF_OL     ( 0x020)                       N/A
8054    #             HV_DAC_VHV3             000                        N/A
8055    #             HV_DAC_HV1               00                        N/A
8056    #             HV_DAC_HV2               00                        N/A
8057    #             HV_DAC_VHV1              00                        N/A
8058    #             HV_DAC_VHV2              00                        N/A
8059    #             HV_DAC_VHV4              00                        N/A
8060    #             HV_DAC_AMP1              00                        N/A
8061    #             HV_DAC_AMP2              00                        N/A
8062    #             HV_DAC_AMP3              00                        N/A
8063    #
8064    #             ADC_HV_VHV1             000                        N/A
8065    #             ADC_HV_VHV2   ( 0x008)                       N/A
8066    #             ADC_HV_VHV3             000                        N/A
8067    #             ADC_HV_VHV4             000                        N/A
8068    #             ADC_HV_HV1              000                        N/A
8069    #             ADC_HV_HV2              000                        N/A
8070    #             ADC_HV_OL     ( 0x003)                       N/A
8071    #             ADC_HV_AMP1   ( 0x08C)                       N/A
8072    #             ADC_HV_AMP2   ( 0x08A)                       N/A
8073    #             ADC_HV_AMP3   ( 0x028)                       N/A
8074    #             ADC_HV_TMP    ( 0xC55)                       N/A
8075    #             
8076    #             ADC_CFD_LEFA            FFF                        N/A
8077    #             ADC_CFD_LEFB            FFF                        N/A
8078    #             ADC_CFD_LEFS            FFF                        N/A
8079    #             ADC_CFD_STC             FFF                        N/A
8080    #             ADC_CFD_STE             FFF                        N/A
8081    #             ADC_AMP_TEMP  ( 0xCC8)                       N/A
8082    #             ADC_CPU_+5    ( 0xCA2)                       N/A
8083    #             ADC_CPU_+3.3  ( 0xA3D)                       N/A
8084    #             ADC_CPU_+1.8  ( 0x5BF)                       N/A
8085    #             ADC_CPU_+2.5  ( 0x821)                       N/A
8086    #             ADC_CPU_+12   ( 0xC46)                       N/A
8087    #             ADC_CPU_-12   ( 0xC3C)                       N/A
8088    #             ADC_CPU_TEMP  ( 0xCC7)                       N/A
8089    #
8090    #             <CPU> AMP_ENA           DIS                        N/A
8091    #             <HV>  ERR               ERR                        N/A
8092    #             <HV>  ON_OPTICS         OFF                        N/A
8093    #             <HV>  ON_BOARD          OFF                        N/A
8094    #             <HV>  SAFE              ON                         N/A
8095    #             <CPU> ENA_OPTICS        DIS                        N/A
8096    #             <CPU> ENA_BOARD         DIS                        N/A
8097    #             <CPU> SAFE_ENA          DIS                        N/A
8098    #
8099    # ==========================================================================
8100    #  Set Thresholds
8101    # ==========================================================================
8102    MSA.HK_RATE 0x01000040
8103    # command : 007001000040
8104    #
8105    WAIT_SEC 40                   
8106    #
8107    # Discriminator Level Setting
8108    #
8109    # Ch1
8110    MSA.CFD_DAC 0x30300B00
8111    # command : 0D0130300B00
8112    #
8113    WAIT_SEC 10                   
8114    #
8115    # QL         Check-Item               Spec                     check
8116    # ----------+------------------------+-------------------------+------
8117    # MSA ALL HK  ADC_CFD_LEFA( 0xB4C)                       N/A
8118    #
8119    # Ch2
8120    MSA.CFD_DAC 0x28280B00
8121    # command : 0D0128280B00
8122    #
8123    WAIT_SEC 10                   
8124    #
8125    # QL         Check-Item               Spec                     check
8126    # ----------+------------------------+-------------------------+------
8127    # MSA ALL HK  ADC_CFD_LEFB  ( 0xB44)                       N/A
8128    #
8129    # Ch3
8130    MSA.CFD_DAC 0x24240B00
8131    # command : 0D0124240B00
8132    #
8133    WAIT_SEC 10                   
8134    #
8135    # QL         Check-Item               Spec                     check
8136    # ----------+------------------------+-------------------------+------
8137    # MSA ALL HK  ADC_CFD_LEFS  ( 0xB3F)                       N/A
8138    #
8139    # Ch4
8140    MSA.CFD_DAC 0x22220B00
8141    # command : 0D0122220B00
8142    #
8143    WAIT_SEC 10                   
8144    #
8145    # QL         Check-Item               Spec                     check
8146    # ----------+------------------------+-------------------------+------
8147    # MSA ALL HK  ADC_CFD_STC   ( 0xB3A)                       N/A
8148    #
8149    # Ch5
8150    MSA.CFD_DAC 0x21210B00
8151    # command : 0D0121210B00
8152    #
8153    WAIT_SEC 10                   
8154    #
8155    # QL         Check-Item               Spec                     check
8156    # ----------+------------------------+-------------------------+------
8157    # MSA ALL HK  ADC_CFD_STE   ( 0xB2E)                       N/A
8158    #
8159    #
8160    #
8161    #WAIT_SE 360 #fight only                   
8162    #
8163    #
8164    # ==========================================================================
8165    # ==========================================================================
8166    #
8167    # Collect mission data
8168    MD1F.MSA_CLCT_START
8169    #
8170    WAIT_SEC 40                   
8171    #
8172    # QL          Check-Item                   Spec                  check
8173    # -----------+----------------------------+--------------------+------
8174    # MD1F OBS HK <<PAYLOAD>> MS5 CLCT         ON                   N/A
8175    #
8176    # Measure on
8177    MSA.CPU_AMP_ENA 0x01000100
8178    #
8179    WAIT_SEC 40                   
8180    #
8181    # QL         Check-Item               Spec                     check
8182    # ----------+------------------------+-------------------------+------
8183    # MSA ALL HK  AMP_ENA                 ENA                          N/A
8184    #
8185    ########################################################
8186    #  HV power ON 
8187    ########################################################
8188    #
8189    # HV_sw_enable(both)
8190    MSA.HV_ENA 0x0F000000
8191    # command : 07000F000000
8192    #
8193    WAIT_SEC 40                   
8194    #
8195    # QL         Check-Item               Spec                     check
8196    # ----------+------------------------+-------------------------+------
8197    #             <CPU> ENA_BOARD         ENA                        N/A
8198    #             <CPU> SAFE_ENA          ENA                        N/A
8199    #
8200    #
8201    #
8202    # HV_Board_PwrON
8203    MSA.HV_ON 0x0A000000
8204    # command : 05000A000000
8205    #
8206    #WAIT_SE 40  
8207    #WAIT_SE 300    #Flight only                   
8208    #
8209    # QL         Check-Item               Spec                     check
8210    # ----------+------------------------+-------------------------+------
8211    # MSA ALL HK  <HV> ON_BOARD          ON                          N/A
8212    #             <HV> ERR               OK                          N/A
8213    #
8214    WAIT_SEC 40                   
8215    #
8216    # HV_Optics_PwrON
8217    MSA.HV_ON 0x05000000
8218    # command : 050005000000
8219    #
8220    WAIT_SEC 40                   
8221    #WAIT_SE 420    #Flight only                   
8222    #
8223    # QL         Check-Item               Spec                     check
8224    # ----------+------------------------+-------------------------+------
8225    # MSA ALL HK  <HV> ON_OPTICS         ON                          N/A
8226    #             <HV> ERR               OK                          N/A
8227    #
8228    #######################################################################
8229    #         HV raise to 8kV nominal configuration with safe time step. 
8230    #         Automatic OCL procedure
8231    #######################################################################
8232    MSA.OCL_CMD 0x01010168
8233    WAIT_SEC 4800    #Flight only                   
8234    #
8235    # QL         Check-Item               Spec                     check
8236    #
8237    # MSA ALL HK  CPU_SW                  44                         N/A
8238    #
8239    #              HV_REF_HV1    ( 0x040)                       N/A
8240    #             HV_REF_HV2    ( 0x049)                       N/A
8241    #             HV_REF_VHV1   ( 0x117)                       N/A
8242    #             HV_REF_VHV2   ( 0x17C)                       N/A
8243    #             HV_REF_VHV3   ( 0x115)                       N/A
8244    #             HV_REF_VHV4   ( 0x03E)                       N/A
8245    #             HV_REF_OL     ( 0x020)                       N/A
8246    #             HV_DAC_VHV3             changing                   N/A
8247    #             HV_DAC_HV1               A0                        N/A
8248    #             HV_DAC_HV2               AC                        N/A
8249    #             HV_DAC_VHV1              80                        N/A
8250    #             HV_DAC_VHV2              80                        N/A
8251    #             HV_DAC_VHV4              44                        N/A
8252    #             HV_DAC_AMP1              00                        N/A
8253    #             HV_DAC_AMP2              00                        N/A
8254    #             HV_DAC_AMP3              34                        N/A
8255    #
8256    #             ADC_HV_VHV1             799                        N/A
8257    #             ADC_HV_VHV2        7AC                        N/A
8258    #             ADC_HV_VHV3             CHANGING                   N/A
8259    #             ADC_HV_VHV4             400                        N/A
8260    #             ADC_HV_HV1              A00                        N/A
8261    #             ADC_HV_HV2              A00                        N/A
8262    #             ADC_HV_OL               F6E                        N/A
8263    #             ADC_HV_AMP1   ( 0x08C)                       N/A
8264    #             ADC_HV_AMP2   ( 0x08A)                       N/A
8265    #             ADC_HV_AMP3   ( 0x028)                       N/A
8266    #             ADC_HV_TMP    ( 0xC55)                       N/A
8267    #             
8268    #             ADC_CFD_LEFA            FFF                        N/A
8269    #             ADC_CFD_LEFB            FFF                        N/A
8270    #             ADC_CFD_LEFS            FFF                        N/A
8271    #             ADC_CFD_STC             FFF                        N/A
8272    #             ADC_CFD_STE             FFF                        N/A
8273    #             ADC_AMP_TEMP  ( 0xCC8)                       N/A
8274    #             ADC_CPU_+5    ( 0xCA2)                       N/A
8275    #             ADC_CPU_+3.3  ( 0xA3D)                       N/A
8276    #             ADC_CPU_+1.8  ( 0x5BF)                       N/A
8277    #             ADC_CPU_+2.5  ( 0x821)                       N/A
8278    #             ADC_CPU_+12   ( 0xC46)                       N/A
8279    #             ADC_CPU_-12   ( 0xC3C)                       N/A
8280    #             ADC_CPU_TEMP  ( 0xCC7)                       N/A
8281    #
8282    #             <CPU> AMP_ENA           ENA                        N/A
8283    #             <HV>  ERR                OK                        N/A
8284    #             <HV>  ON_OPTICS          ON                        N/A
8285    #             <HV>  ON_BOARD           ON                        N/A
8286    #             <HV>  SAFE              OFF                        N/A
8287    #             <CPU> ENA_OPTICS        ENA                        N/A
8288    #             <CPU> ENA_BOARD         ENA                        N/A
8289    #             <CPU> SAFE_ENA          DIS                        N/A
8290    #
8291    ########################################################################
8292    #      Cal Check
8293    #######################################################################
8294    #
8295    #
8296    #
8297    # AMPSW CAL ON
8298    MSA.CAL_SET 0x8050125310
8299    # command : fa8050125310
8300    #
8301    #
8302    WAIT_SEC 1200                   
8303    #
8304    #
8305    # AMPSW CAL OFF
8306    MSA.CAL_SET 0x0050125310
8307    # command : fa050125310
8308    #
8309    WAIT_SEC 40                   
8310    #
8311    # ==========================================================================
8312    #######################################################################
8313    #         HV SHUTDOWN. 
8314    #         Automatic OCL procedure
8315    #######################################################################
8316    MSA.OCL_CMD 0x010101F6
8317    WAIT_SEC 300                   
8318    #
8319    #             HV_REF_HV1    ( 0x040)                       N/A
8320    #             HV_REF_HV2    ( 0x049)                       N/A
8321    #             HV_REF_VHV1   ( 0x117)                       N/A
8322    #             HV_REF_VHV2   ( 0x17C)                       N/A
8323    #             HV_REF_VHV3   ( 0x115)                       N/A
8324    #             HV_REF_VHV4   ( 0x03E)                       N/A
8325    #             HV_REF_OL     ( 0x020)                       N/A
8326    #             HV_DAC_VHV3             000                        N/A
8327    #             HV_DAC_HV1               00                        N/A
8328    #             HV_DAC_HV2               00                        N/A
8329    #             HV_DAC_VHV1              00                        N/A
8330    #             HV_DAC_VHV2              00                        N/A
8331    #             HV_DAC_VHV4              00                        N/A
8332    #             HV_DAC_AMP1              00                        N/A
8333    #             HV_DAC_AMP2              00                        N/A
8334    #             HV_DAC_AMP3              00                        N/A
8335    #
8336    #             ADC_HV_VHV1             000                        N/A
8337    #             ADC_HV_VHV2   ( 0x008)                       N/A
8338    #             ADC_HV_VHV3             000                        N/A
8339    #             ADC_HV_VHV4             000                        N/A
8340    #             ADC_HV_HV1              000                        N/A
8341    #             ADC_HV_HV2              000                        N/A
8342    #             ADC_HV_OL     ( 0x003)                       N/A
8343    #             ADC_HV_AMP1   ( 0x08C)                       N/A
8344    #             ADC_HV_AMP2   ( 0x08A)                       N/A
8345    #             ADC_HV_AMP3   ( 0x028)                       N/A
8346    #             ADC_HV_TMP    ( 0xC55)                       N/A
8347    #             
8348    #             ADC_CFD_LEFA            FFF                        N/A
8349    #             ADC_CFD_LEFB            FFF                        N/A
8350    #             ADC_CFD_LEFS            FFF                        N/A
8351    #             ADC_CFD_STC             FFF                        N/A
8352    #             ADC_CFD_STE             FFF                        N/A
8353    #             ADC_AMP_TEMP  ( 0xCC8)                       N/A
8354    #             ADC_CPU_+5    ( 0xCA2)                       N/A
8355    #             ADC_CPU_+3.3  ( 0xA3D)                       N/A
8356    #             ADC_CPU_+1.8  ( 0x5BF)                       N/A
8357    #             ADC_CPU_+2.5  ( 0x821)                       N/A
8358    #             ADC_CPU_+12   ( 0xC46)                       N/A
8359    #             ADC_CPU_-12   ( 0xC3C)                       N/A
8360    #             ADC_CPU_TEMP  ( 0xCC7)                       N/A
8361    #
8362    #             <CPU> AMP_ENA           DIS                        N/A
8363    #             <HV>  ERR               ERR                        N/A
8364    #             <HV>  ON_OPTICS         OFF                        N/A
8365    #             <HV>  ON_BOARD          OFF                        N/A
8366    #             <HV>  SAFE              ON                         N/A
8367    #             <CPU> ENA_OPTICS        DIS                        N/A
8368    #             <CPU> ENA_BOARD         DIS                        N/A
8369    #             <CPU> SAFE_ENA          DIS                        N/A
8370    #  =================================         
8371    #           STOP recording
8372    # ===========================
8373    MD1F.MSA_CLCT_STOP
8374    #
8375    WAIT_SEC 40                   
8376    #
8377    # QL          Check-Item                   Spec                  check
8378    # -----------+----------------------------+--------------------+------
8379    # MD1F OBS HK <<PAYLOAD>> MS5 CLCT         OFF                   N/A
8380    #
8381    # Measure off(ޥɳǧ)
8382    MSA.CPU_AMP_ENA 0x00000000
8383    #
8384    WAIT_SEC 40                   
8385    #
8386    # QL         Check-Item               Spec                     check
8387    # ----------+------------------------+-------------------------+------
8388    # MSA ALL HK  AMP_ENA                 DIS                          N/A
8389    #
8390    #
8391    # ==========================================================================
8392    # ==========================================================================
8393    # < MSA Ω >
8394    PCD.ON_OFF_ENA
8395    #
8396    WAIT_SEC 40                   
8397    #
8398    # QL         Check-Item               Spec                     check
8399    # ----------+------------------------+-------------------------+------
8400    # PCS1       <PCD> ON/OFF             ENA                        N/A
8401    # 
8402    PCD.PSU_MSA_OFF
8403    #
8404    WAIT_SEC 40                   
8405    #
8406    # QL         Check-Item               Spec                     check
8407    # ----------+------------------------+-------------------------+------
8408    # PCS1       <PCD> MSA                OFF                        N/A
8409    # 
8410    PCD.ON_OFF_DIS
8411    #
8412    WAIT_SEC 40                   
8413    #
8414    # QL         Check-Item               Spec                     check
8415    # ----------+------------------------+-------------------------+------
8416    # PCS1       <PCD> ON/OFF             DIS                        N/A
8417    # 
8418    # ***************************************************************
8419    #   END February 5
8420    # ***************************************************************
8421    EXIT                   
